---

Canonical Releases Major Linux Kernel Update for Ubuntu 17.10 for Raspberry Pi 2

The security advisory mentions a total of 21 security vulnerabilities fixed for linux-raspi2, the Linux kernel for Raspberry Pi 2 on Ubuntu 17.10 (Artful Aardvark) operating systems, including a race condition that could lead to a use-after-free vulnerability in Linux kernel’s ALSA PCM subsystem, and a use-after-free vulnerability in the network namespaces implementation. The update also addresses a race condition in Linux kernel’s OCFS2 filesystem and loop block device implementations, as well as a null pointer dereference in the RDS (Reliable Datagram Sockets) protocol implementation. Most of these flaws could allow a local attacker to crash the vulnerable system by causing a denial of service or possibly execute arbitrary code.